ubuntu-release-upgrader-core could not calculate the upgrade

Bug #1132016 reported by Graeme Nelson
54
This bug affects 11 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Expired
Undecided
Unassigned

Bug Description

When updating from Kubuntu 12.04 to 12.10, got the message -
"
Could not calculate the upgrade
An unresolvable problem occurred while calculating the
upgrade: The package 'kubuntu-desktop' is marked for
removal but it is on the removal blacklist. This can be
caused by: * Upgrading to a prelease version of Ubuntu
* Running the current pre-release version of Ubuntu *
Unofficial software packages not provided by Ubuntu If
non of this applies, then please report this bug using the
command 'ubuntu-bug ubuntu-release-upgrader-core' in a
terminal.
"

I know that neither
* Upgrading to a prelease version of Ubuntu
* Running the current pre-release version of Ubuntu
apply, but I don't know about
* Unofficial software packages not provided by Ubuntu
as I do have some non-Ubuntu/Canonical supplied software installed. I've not had this problem with any previous version upgrade, and the only thing I've installed since the 12.04 version upgrade was possibly either Chrome or Chromium.

graeme@dust-puppy:~$ lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04
graeme@dust-puppy:~$ apt-cache policy ubuntu-release-upgrader-core
ubuntu-release-upgrader-core:
  Installed: (none)
  Candidate: 1:0.190.1
  Version table:
     1:0.190.1 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main amd64 Packages
graeme@dust-puppy:~$ apt-cache policy kubuntu-desktop
kubuntu-desktop:
  Installed: 1.254
  Candidate: 1.254
  Version table:
 *** 1.254 0
        100 /var/lib/dpkg/status
graeme@dust-puppy:~$

Revision history for this message
Sami Jaktholm (sjakthol) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the log files from '/var/log/dist-upgrade/' to this bug report as separate attachments? Once done please change the status of this bug back to New by clicking "Incomplete" in the yellow bar at the top of the page. Thanks in advance.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for ubuntu-release-upgrader (Ubuntu) because there has been no activity for 60 days.]

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Waldecir Bianchini (waldecirbianchini) wrote :
Revision history for this message
saber (sbr-hmi) wrote :

i have the same problem with upgrading to 13.10 release, it says that it's impossible to do the calculation for upgrade.
The message that i've in terminal is in french i don't know if that will be useful or not but this is what i've got :

"32.1 M o téléchargés en 6s (0  o/s)

Vérification du gestionnaire de paquets
Lecture des listes de paquets… Terminé
Construction de l'arbre des dépendances
Lecture des informations d'état… Terminé
Construction des structures de données… Terminé

Calcul des modifications en cours

Calcul des modifications en cours

Impossible d'évaluer la mise à niveau

An unresolvable problem occurred while calculating the upgrade.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu

Si rien de tout cela ne s'applique, veuillez signaler ce bogue en
utilisant la commande 'ubuntu-bug ubuntu-release-upgrader-core' dans
un terminal.

Restauration du système dans son état d'origine

Annulation
Lecture des listes de paquets… Terminé
Construction de l'arbre des dépendances
Lecture des informations d'état… Terminé
Construction des structures de données… Terminé"

I have also attached the main.log file from /var/log/dist-upgrade

Hope read you forward.
Thanks

Revision history for this message
Dilshad Ahmed (dilshad37) wrote :

2020-07-22 05:47:24,845 ERROR Dist-upgrade failed: 'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'

Revision history for this message
Dilshad Ahmed (dilshad37) wrote :
Download full text (13.7 KiB)

2020-07-22 05:46:48,875 INFO Using config files '['./DistUpgrade.cfg.xenial']'
2020-07-22 05:46:48,875 INFO uname information: 'Linux hrsl-177 4.15.0-107-generic #108~16.04.1-Ubuntu SMP Fri Jun 12 02:57:13 UTC 2020 x86_64'
2020-07-22 05:46:49,266 INFO apt version: '1.2.32ubuntu0.1'
2020-07-22 05:46:49,266 INFO python version: '3.5.2 (default, Apr 16 2020, 17:47:17)
[GCC 5.4.0 20160609]'
2020-07-22 05:46:49,270 INFO release-upgrader version '18.04.36' started
2020-07-22 05:46:49,281 INFO locale: 'en_IN' 'ISO8859-1'
2020-07-22 05:46:49,330 INFO screen could not be run
2020-07-22 05:46:49,417 DEBUG Using 'DistUpgradeViewText' view
2020-07-22 05:46:49,455 DEBUG enable dpkg --force-overwrite
2020-07-22 05:46:49,479 DEBUG creating statefile: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
2020-07-22 05:46:53,284 DEBUG lsb-release: 'xenial'
2020-07-22 05:46:53,285 DEBUG _pythonSymlinkCheck run
2020-07-22 05:46:53,286 DEBUG openCache()
2020-07-22 05:46:53,286 DEBUG No such plugin directory: ./plugins
2020-07-22 05:46:53,286 DEBUG plugins for condition 'PreCacheOpen' are '[]'
2020-07-22 05:46:53,286 DEBUG plugins for condition 'bionicPreCacheOpen' are '[]'
2020-07-22 05:46:53,286 DEBUG plugins for condition 'from_xenialPreCacheOpen' are '[]'
2020-07-22 05:46:53,286 DEBUG quirks: running PreCacheOpen
2020-07-22 05:46:53,286 DEBUG running Quirks.PreCacheOpen
2020-07-22 05:46:53,908 DEBUG /openCache(), new cache size 98161
2020-07-22 05:46:53,908 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'ubuntu-desktop')
2020-07-22 05:46:53,908 DEBUG checkViewDepends()
2020-07-22 05:46:53,909 DEBUG running doUpdate() (showErrors=False)
2020-07-22 05:46:55,878 DEBUG openCache()
2020-07-22 05:46:56,542 DEBUG /openCache(), new cache size 98161
2020-07-22 05:46:56,543 DEBUG doPostInitialUpdate
2020-07-22 05:46:56,543 DEBUG plugins for condition 'PostInitialUpdate' are '[]'
2020-07-22 05:46:56,543 DEBUG plugins for condition 'bionicPostInitialUpdate' are '[]'
2020-07-22 05:46:56,543 DEBUG plugins for condition 'from_xenialPostInitialUpdate' are '[]'
2020-07-22 05:46:56,543 DEBUG quirks: running bionicPostInitialUpdate
2020-07-22 05:46:56,543 DEBUG running Quirks.bionicPostInitialUpdate
2020-07-22 05:47:00,838 DEBUG MetaPkgs: ubuntu-desktop
2020-07-22 05:47:04,729 DEBUG Foreign: containerd.io docker-ce docker-ce-cli libcuda1-430 libpyside-py3-2.0 libpyside2-dev libpyside2.0 libshiboken-py3-2.0 libshiboken2-dev libshiboken2.0 libvdpau1 libvtk6-dev libvtk6-java libvtk6-qt-dev libvtk6.2 libvtk6.2-qt libxnvctrl0 nvidia-430 nvidia-opencl-icd-430 nvidia-settings python-catkin-pkg python-catkin-pkg-modules python-pyside2 python-pyside2.qtconcurrent python-pyside2.qtcore python-pyside2.qtgui python-pyside2.qthelp python-pyside2.qtnetwork python-pyside2.qtprintsupport python-pyside2.qtqml python-pyside2.qtquick python-pyside2.qtquickwidgets python-pyside2.qtscript python-pyside2.qtsql python-pyside2.qtsvg python-pyside2.qttest python-pyside2.qtuitools python-pyside2.qtwebkit python-pyside2.qtwebkitwidgets python-pyside2.qtwidgets python-pyside2.qtx11extras python-pyside2.qtxml python-rosdep python-rosdep-modules python-rosdistro python-rosdistro-modules p...

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments